Page MenuHomePhabricator

[mlir] Fix cross compiling MLIR
ClosedPublic

Authored by isuruf on Feb 27 2020, 1:11 PM.

Details

Summary

Setting MLIR_TABLEGEN_EXE would prevent building the native tool which is used in cross-compiling

Diff Detail

Event Timeline

isuruf created this revision.Feb 27 2020, 1:11 PM
This revision is now accepted and ready to land.Feb 27 2020, 10:29 PM
jpienaar accepted this revision.Feb 28 2020, 5:59 AM

Interesting, I had not tried cross compiling it, thanks for finding/fixing!

Hi, I don't have commit access. Can someone commit this?

I can do it: I need some info for the commit author attribution though.
(or if you rebase and use arc for your patch I should get this automatically

I'm not sure what info you need. Name and email address?

Isuru Fernando <isuruf@gmail.com>

I haven't used arc, but I'll have a look to see how to use it.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMar 14 2020, 12:20 PM